#ifndef PARKING_H
#define PARKING_H

#include <QDialog>
#include <QSqlQuery>
#include <QSqlQueryModel>
#include <QString>

class parking
{
public:
    parking();
    parking(int,int, QString);
    int get_id();
    int get_numero();
    QString get_etat();
    bool ajouter();
    bool modifier_etat(int);
    QSqlQueryModel * afficher();
    bool supprimer(int);
    bool modifier(int,int,QString);
private:
    int id;
    int numero;
    QString etat;
};


#endif // PARKING_H
